org.eclipse.jdt.core.util

## Interface IRuntimeVisibleAnnotationsAttribute

All Superinterfaces:
  IClassFileAttribute

    public interface IRuntimeVisibleAnnotationsAttribute
    extends IClassFileAttribute

Description of a runtime visible annotations attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnnotation[]` `getAnnotations()` Answer back the annotations.
`int` `getAnnotationsNumber()` Answer back the number of annotations as described in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getAnnotationsNumber

    int getAnnotationsNumber()

Answer back the number of annotations as described in the JVM specifications.

Returns:
  the number of annotations

#### getAnnotations

    IAnnotation[] getAnnotations()

Answer back the annotations. Answers an empty collection if none.

Returns:
  the annotations. Answers an empty collection if none.